package com.winhc.repal.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @description RepalBook实体对象
 * @author Generator
 * @date 2022-04-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("REPAL_BOOK")
@ApiModel(value="RepalBook实体对象", description="回款宝账本")
public class RepalBook implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "收款公司name")
    @TableField("PAYEE_NAME")
    private String payeeName;

    @ApiModelProperty(value = "首款公司logo")
    @TableField("PAYEE_LOGO")
    private String payeeLogo;

    @ApiModelProperty(value = "收款公司companyId")
    @TableField("PAYEE_COMPANY_ID")
    private String payeeCompanyId;

    @ApiModelProperty(value = "客户id")
    @TableField("CUSTOMER_ID")
    private String customerId;

    @ApiModelProperty(value = "客户name")
    @TableField("CUSTOMER_NAME")
    private String customerName;

    @ApiModelProperty(value = "账本刷新状态。1未刷新，2刷新中，3已刷新，0刷新失败")
    @TableField("REFRESH_STATUS")
    private Integer refreshStatus;

    @ApiModelProperty(value = "用户id")
    @TableField("USER_ID")
    private Long userId;

    @ApiModelProperty(value = "创建时间")
    @TableField("TIME_CREATED")
    private LocalDateTime timeCreated;

    @ApiModelProperty(value = "修改时间")
    @TableField("TIME_MODIFIED")
    private LocalDateTime timeModified;

    @ApiModelProperty(value = "是否删除，1删除。0否")
    @TableField("DELETED")
    private Integer deleted;


}
