package com.winhc.repal.model.dto;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @description RepalBill DTO对象
 * @author Generator
 * @date 2022-04-08
 */
@Data
@Accessors(chain = true)
@ApiModel(value="RepalBill DTO对象", description="回款宝账款")
public class RepalBillDTO {


    @ApiModelProperty(value = "")
    private Long id;

    @ApiModelProperty(value = "回款宝账本id")
    private Long repalBookId;

    @ApiModelProperty(value = "账款总金额")
    private BigDecimal totalMoney;

    @ApiModelProperty(value = "账款当前应收金额")
    private BigDecimal receivable;

    @ApiModelProperty(value = "账款已收金额")
    private BigDecimal receipt;

    @ApiModelProperty(value = "账单状态，1进行中，2已逾期，3已收回，4已终止")
    private Integer repalBillStatus;

    @ApiModelProperty(value = "账款阶段")
    private Integer repalBillStage;

    @ApiModelProperty(value = "账款类型。1应收。2应付")
    private Integer repalBillType;

    @ApiModelProperty(value = "应收账款日期")
    private LocalDate endDate;

    @ApiModelProperty(value = "账款logo")
    private String billLogo;

    @ApiModelProperty(value = "账款标题")
    private String billTitlle;

    @ApiModelProperty(value = "账款备注")
    private String billRemark;

    @ApiModelProperty(value = "客户id")
    private String customerId;

    @ApiModelProperty(value = "客户name")
    private String customerName;

    @ApiModelProperty(value = "合同name")
    private String contractName;

    @ApiModelProperty(value = "合同到期日期")
    private LocalDate contractEndDate;

    @ApiModelProperty(value = "合同附件逗号分隔")
    private String contractUrl;

    @ApiModelProperty(value = "账单刷新状态。1未刷新，2刷新中，3已刷新，0刷新失败")
    private Integer refreshStatus;

    @ApiModelProperty(value = "上次评估ID")
    private Long preDiagnosisId;

    @ApiModelProperty(value = "评估id")
    private Long diagnosisId;

    @ApiModelProperty(value = "上次评估等级")
    private String preDiagnosisGrade;

    @ApiModelProperty(value = "上次评估分数")
    private BigDecimal preDiagnosisScore;

    @ApiModelProperty(value = "上次评估时间")
    private LocalDateTime preDiagnosisDatetime;

    @ApiModelProperty(value = "评估等级")
    private String diagnosisGrade;

    @ApiModelProperty(value = "评估时间")
    private LocalDateTime diagnosisDatetime;

    @ApiModelProperty(value = "本次评估分数")
    private BigDecimal diagnosisScore;

    @ApiModelProperty(value = "趋势，1上升，2下降。0持平")
    private Integer diagnosisTrend;

    @ApiModelProperty(value = "提醒消息")
    private String remindInfo;

    @ApiModelProperty(value = "账款结清时间")
    private LocalDateTime settleTime;

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "是否删除，1删除。0否")
    private Integer deleted;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime timeCreated;

    @ApiModelProperty(value = "修改时间")
    private LocalDateTime timeModified;


}
