package com.winhc.repal.model.dto;

import java.math.BigDecimal;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @description RepalChangeRecord DTO对象
 * @author Generator
 * @date 2022-04-08
 */
@Data
@Accessors(chain = true)
@ApiModel(value="RepalChangeRecord DTO对象", description="回款宝账款收付款记录表")
public class RepalChangeRecordDTO {


    @ApiModelProperty(value = "")
    private Long id;

    @ApiModelProperty(value = "账本id")
    private Long repalBookId;

    @ApiModelProperty(value = "账款id")
    private Long repalBillId;

    @ApiModelProperty(value = "剩余金额=preMoney-receiptMoney")
    private BigDecimal afterMoney;

    @ApiModelProperty(value = "收回金额/已付金额")
    private BigDecimal transMoney;

    @ApiModelProperty(value = "收回前金额/应付前金额")
    private BigDecimal preMoney;

    @ApiModelProperty(value = "操作人id")
    private Long operUserId;

    @ApiModelProperty(value = "操作人name")
    private String operUserName;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "附件url，逗号分隔")
    private String fileUrl;

    @ApiModelProperty(value = "是否删除，1删除。0否")
    private Integer deleted;

    @ApiModelProperty(value = "")
    private LocalDateTime timeCreated;

    @ApiModelProperty(value = "")
    private LocalDateTime timeModified;


}
