package com.winhc.repal.service;

import com.winhc.repal.entity.RepalBill;
import com.baomidou.mybatisplus.extension.service.IService;
import com.winhc.common.model.base.VOPage;
import com.winhc.repal.model.dto.RepalBillDTO;
import com.winhc.repal.model.vo.RepalBillVO;
import java.util.List;


/**
 * @description RepalBill 接口类
 * @author Generator
 * @date 2022-04-08
 */
public interface RepalBillService extends IService<RepalBill> {

    /**
    * add RepalBill
    * @param dto data transfer object
    */
    void add(RepalBillDTO dto);

    /**
    * update RepalBill
    * @param id key
    * @param dto data transfer object
    */
    void update(Long id, RepalBillDTO dto);

    /**
    * delete RepalBill
    * @param id key
    */
    void delete(Long id);

    /**
    * find RepalBill
    * @param id key
    * @return RepalBill
    */
    RepalBillVO find(Long id);

    /**
    * find RepalBill list
    * @param dto data transfer object
    * @return list of RepalBill
    */
    List<RepalBillVO> find(RepalBillDTO dto);

     /**
     * find RepalBill page
     * @param dto data transfer object
     * @param pageNum page number
     * @param pageSize page size
     * @return page of RepalBill
     */
     VOPage<RepalBillVO> find(RepalBillDTO dto, Integer pageNum, Integer pageSize);
}
