package com.winhc.repal.service;

import com.winhc.repal.entity.RepalBook;
import com.baomidou.mybatisplus.extension.service.IService;
import com.winhc.common.model.base.VOPage;
import com.winhc.repal.model.dto.RepalBookDTO;
import com.winhc.repal.model.vo.RepalBookVO;
import java.util.List;


/**
 * @description RepalBook 接口类
 * @author Generator
 * @date 2022-04-08
 */
public interface RepalBookService extends IService<RepalBook> {

    /**
    * add RepalBook
    * @param dto data transfer object
    */
    void add(RepalBookDTO dto);

    /**
    * update RepalBook
    * @param id key
    * @param dto data transfer object
    */
    void update(Long id, RepalBookDTO dto);

    /**
    * delete RepalBook
    * @param id key
    */
    void delete(Long id);

    /**
    * find RepalBook
    * @param id key
    * @return RepalBook
    */
    RepalBookVO find(Long id);

    /**
    * find RepalBook list
    * @param dto data transfer object
    * @return list of RepalBook
    */
    List<RepalBookVO> find(RepalBookDTO dto);

     /**
     * find RepalBook page
     * @param dto data transfer object
     * @param pageNum page number
     * @param pageSize page size
     * @return page of RepalBook
     */
     VOPage<RepalBookVO> find(RepalBookDTO dto, Integer pageNum, Integer pageSize);
}
