package com.winhc.repal.service.impl;

import com.winhc.repal.entity.RepalBillOperLog;
import com.winhc.repal.repository.RepalBillOperLogMapper;
import com.winhc.repal.service.RepalBillOperLogService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.winhc.common.model.base.VOPage;
import com.winhc.repal.model.dto.RepalBillOperLogDTO;
import com.winhc.repal.model.cvt.RepalBillOperLogConvert;
import com.winhc.repal.model.vo.RepalBillOperLogVO;

import java.util.List;
import java.util.stream.Collectors;

/**
 * @description RepalBillOperLog 接口实现类
 * @author Generator
 * @date 2022-04-08
 */
@Service
public class RepalBillOperLogServiceImpl extends ServiceImpl<RepalBillOperLogMapper, RepalBillOperLog> implements RepalBillOperLogService {

    @Override
    public void add(RepalBillOperLogDTO dto) {
        save(RepalBillOperLogConvert.DTOToEntity(dto));
    }

    @Override
    public void update(Long id, RepalBillOperLogDTO dto) {
        update(RepalBillOperLogConvert.DTOToEntity(dto),new UpdateWrapper<RepalBillOperLog>().lambda().eq(RepalBillOperLog::getId,id));
    }

    @Override
    public void delete(Long id) {
        removeById(id);
    }

    @Override
    public RepalBillOperLogVO find(Long id) {
        return RepalBillOperLogConvert.EntityToVO(getById(id));
    }

    @Override
    public List<RepalBillOperLogVO> find(RepalBillOperLogDTO dto) {
        return list(new QueryWrapper<>(RepalBillOperLogConvert.DTOToEntity(dto))).stream().map(RepalBillOperLogConvert::EntityToVO)
                 .collect(Collectors.toList());
    }

     @Override
     public VOPage<RepalBillOperLogVO> find(RepalBillOperLogDTO dto, Integer pageNum, Integer pageSize) {
         IPage<RepalBillOperLog> pageRepalBillOperLog = page(new Page<>(pageNum, pageSize), new QueryWrapper<>(RepalBillOperLogConvert.DTOToEntity(dto)));
         return new VOPage<>(pageNum,pageSize,pageRepalBillOperLog.getTotal(), pageRepalBillOperLog.getRecords().stream()
                 .map(RepalBillOperLogConvert::EntityToVO).collect(Collectors.toList()));
    }
}
