package com.winhc.repal.service.impl;

import com.winhc.repal.entity.RepalBill;
import com.winhc.repal.repository.RepalBillMapper;
import com.winhc.repal.service.RepalBillService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.winhc.common.model.base.VOPage;
import com.winhc.repal.model.dto.RepalBillDTO;
import com.winhc.repal.model.cvt.RepalBillConvert;
import com.winhc.repal.model.vo.RepalBillVO;

import java.util.List;
import java.util.stream.Collectors;

/**
 * @description RepalBill 接口实现类
 * @author Generator
 * @date 2022-04-08
 */
@Service
public class RepalBillServiceImpl extends ServiceImpl<RepalBillMapper, RepalBill> implements RepalBillService {

    @Override
    public void add(RepalBillDTO dto) {
        save(RepalBillConvert.DTOToEntity(dto));
    }

    @Override
    public void update(Long id, RepalBillDTO dto) {
        update(RepalBillConvert.DTOToEntity(dto),new UpdateWrapper<RepalBill>().lambda().eq(RepalBill::getId,id));
    }

    @Override
    public void delete(Long id) {
        removeById(id);
    }

    @Override
    public RepalBillVO find(Long id) {
        return RepalBillConvert.EntityToVO(getById(id));
    }

    @Override
    public List<RepalBillVO> find(RepalBillDTO dto) {
        return list(new QueryWrapper<>(RepalBillConvert.DTOToEntity(dto))).stream().map(RepalBillConvert::EntityToVO)
                 .collect(Collectors.toList());
    }

     @Override
     public VOPage<RepalBillVO> find(RepalBillDTO dto, Integer pageNum, Integer pageSize) {
         IPage<RepalBill> pageRepalBill = page(new Page<>(pageNum, pageSize), new QueryWrapper<>(RepalBillConvert.DTOToEntity(dto)));
         return new VOPage<>(pageNum,pageSize,pageRepalBill.getTotal(), pageRepalBill.getRecords().stream()
                 .map(RepalBillConvert::EntityToVO).collect(Collectors.toList()));
    }
}
