package com.winhc.repal.service.impl;

import com.winhc.repal.entity.RepalBook;
import com.winhc.repal.repository.RepalBookMapper;
import com.winhc.repal.service.RepalBookService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.winhc.common.model.base.VOPage;
import com.winhc.repal.model.dto.RepalBookDTO;
import com.winhc.repal.model.cvt.RepalBookConvert;
import com.winhc.repal.model.vo.RepalBookVO;

import java.util.List;
import java.util.stream.Collectors;

/**
 * @description RepalBook 接口实现类
 * @author Generator
 * @date 2022-04-08
 */
@Service
public class RepalBookServiceImpl extends ServiceImpl<RepalBookMapper, RepalBook> implements RepalBookService {

    @Override
    public void add(RepalBookDTO dto) {
        save(RepalBookConvert.DTOToEntity(dto));
    }

    @Override
    public void update(Long id, RepalBookDTO dto) {
        update(RepalBookConvert.DTOToEntity(dto),new UpdateWrapper<RepalBook>().lambda().eq(RepalBook::getId,id));
    }

    @Override
    public void delete(Long id) {
        removeById(id);
    }

    @Override
    public RepalBookVO find(Long id) {
        return RepalBookConvert.EntityToVO(getById(id));
    }

    @Override
    public List<RepalBookVO> find(RepalBookDTO dto) {
        return list(new QueryWrapper<>(RepalBookConvert.DTOToEntity(dto))).stream().map(RepalBookConvert::EntityToVO)
                 .collect(Collectors.toList());
    }

     @Override
     public VOPage<RepalBookVO> find(RepalBookDTO dto, Integer pageNum, Integer pageSize) {
         IPage<RepalBook> pageRepalBook = page(new Page<>(pageNum, pageSize), new QueryWrapper<>(RepalBookConvert.DTOToEntity(dto)));
         return new VOPage<>(pageNum,pageSize,pageRepalBook.getTotal(), pageRepalBook.getRecords().stream()
                 .map(RepalBookConvert::EntityToVO).collect(Collectors.toList()));
    }
}
