package com.winhc.repal.service.impl;

import com.winhc.repal.entity.RepalChangeRecord;
import com.winhc.repal.repository.RepalChangeRecordMapper;
import com.winhc.repal.service.RepalChangeRecordService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.winhc.common.model.base.VOPage;
import com.winhc.repal.model.dto.RepalChangeRecordDTO;
import com.winhc.repal.model.cvt.RepalChangeRecordConvert;
import com.winhc.repal.model.vo.RepalChangeRecordVO;

import java.util.List;
import java.util.stream.Collectors;

/**
 * @description RepalChangeRecord 接口实现类
 * @author Generator
 * @date 2022-04-08
 */
@Service
public class RepalChangeRecordServiceImpl extends ServiceImpl<RepalChangeRecordMapper, RepalChangeRecord> implements RepalChangeRecordService {

    @Override
    public void add(RepalChangeRecordDTO dto) {
        save(RepalChangeRecordConvert.DTOToEntity(dto));
    }

    @Override
    public void update(Long id, RepalChangeRecordDTO dto) {
        update(RepalChangeRecordConvert.DTOToEntity(dto),new UpdateWrapper<RepalChangeRecord>().lambda().eq(RepalChangeRecord::getId,id));
    }

    @Override
    public void delete(Long id) {
        removeById(id);
    }

    @Override
    public RepalChangeRecordVO find(Long id) {
        return RepalChangeRecordConvert.EntityToVO(getById(id));
    }

    @Override
    public List<RepalChangeRecordVO> find(RepalChangeRecordDTO dto) {
        return list(new QueryWrapper<>(RepalChangeRecordConvert.DTOToEntity(dto))).stream().map(RepalChangeRecordConvert::EntityToVO)
                 .collect(Collectors.toList());
    }

     @Override
     public VOPage<RepalChangeRecordVO> find(RepalChangeRecordDTO dto, Integer pageNum, Integer pageSize) {
         IPage<RepalChangeRecord> pageRepalChangeRecord = page(new Page<>(pageNum, pageSize), new QueryWrapper<>(RepalChangeRecordConvert.DTOToEntity(dto)));
         return new VOPage<>(pageNum,pageSize,pageRepalChangeRecord.getTotal(), pageRepalChangeRecord.getRecords().stream()
                 .map(RepalChangeRecordConvert::EntityToVO).collect(Collectors.toList()));
    }
}
