package com.winhc.repal.service.impl;

import com.winhc.repal.entity.RepalResponsiblePerson;
import com.winhc.repal.repository.RepalResponsiblePersonMapper;
import com.winhc.repal.service.RepalResponsiblePersonService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.winhc.common.model.base.VOPage;
import com.winhc.repal.model.dto.RepalResponsiblePersonDTO;
import com.winhc.repal.model.cvt.RepalResponsiblePersonConvert;
import com.winhc.repal.model.vo.RepalResponsiblePersonVO;

import java.util.List;
import java.util.stream.Collectors;

/**
 * @description RepalResponsiblePerson 接口实现类
 * @author Generator
 * @date 2022-04-08
 */
@Service
public class RepalResponsiblePersonServiceImpl extends ServiceImpl<RepalResponsiblePersonMapper, RepalResponsiblePerson> implements RepalResponsiblePersonService {

    @Override
    public void add(RepalResponsiblePersonDTO dto) {
        save(RepalResponsiblePersonConvert.DTOToEntity(dto));
    }

    @Override
    public void update(Long id, RepalResponsiblePersonDTO dto) {
        update(RepalResponsiblePersonConvert.DTOToEntity(dto),new UpdateWrapper<RepalResponsiblePerson>().lambda().eq(RepalResponsiblePerson::getId,id));
    }

    @Override
    public void delete(Long id) {
        removeById(id);
    }

    @Override
    public RepalResponsiblePersonVO find(Long id) {
        return RepalResponsiblePersonConvert.EntityToVO(getById(id));
    }

    @Override
    public List<RepalResponsiblePersonVO> find(RepalResponsiblePersonDTO dto) {
        return list(new QueryWrapper<>(RepalResponsiblePersonConvert.DTOToEntity(dto))).stream().map(RepalResponsiblePersonConvert::EntityToVO)
                 .collect(Collectors.toList());
    }

     @Override
     public VOPage<RepalResponsiblePersonVO> find(RepalResponsiblePersonDTO dto, Integer pageNum, Integer pageSize) {
         IPage<RepalResponsiblePerson> pageRepalResponsiblePerson = page(new Page<>(pageNum, pageSize), new QueryWrapper<>(RepalResponsiblePersonConvert.DTOToEntity(dto)));
         return new VOPage<>(pageNum,pageSize,pageRepalResponsiblePerson.getTotal(), pageRepalResponsiblePerson.getRecords().stream()
                 .map(RepalResponsiblePersonConvert::EntityToVO).collect(Collectors.toList()));
    }
}
